# this file must be UTF-8 encoded

package gti

#######################################################################
# page content
#######################################################################

_pagewidth_ {700}

_pagetitle_ {_textgti_}

_imagecollection_ {<a href="_gwcgi_?a=gti&p=home&e=_compressedoptions_"><img src="_httpimg_/gti.gif"></a>}

# The preferences button must go to the "homepref" page, since we are not in a collection
_imagepref_ {_gsimage_(_home:httppagehomepref_,_httpiconcprefof_,_httpiconcprefon_,pref,_textdescrpref_)}

_content_ {
<img width="_pagewidth_" src="_httpimg_/divb.gif">
<p>
<form method="post" action="_gwcgi_">
  <input type="hidden" name="a" value="gti"/>
  <input type="hidden" name="e" value="_compressedoptions_">
  _gtiformcontent_
</form>
<p>
<img width="_pagewidth_" src="_httpimg_/divb.gif">
}

# Content of the GTI "error" page
_gtierror_ {
<strong>_textgtierror_:</strong>
<p>
<tt>_gtierrormessage_</tt>
}

# Content of the GTI "home" page
_gtihome_ {
_textgtihome_
<p>
<table border="0" width="100%">
  <td>_textgtiselecttlc_:</td><td align="right">_gtitlcselection_</td>
</table>
<p>
<center>
  <input type="hidden" name="p" value="lang"/><input type="submit" value="_textgtienter_"/>
</center>
}

# Content of the GTI "language status" page
_gtilang_ {
<h2>_gtitargetlanguagename_</h2>
<p>
_textgtiselecttfk_:
<p>
_gtitfkselection_
<p>
<center>
  <input type="hidden" name="p" value="core"/><input type="submit" value="_textgtienter_"/>
</center>
}

# Content of the GTI "find text fragments" page
_gtifind_ {
<h2><a href="_gwcgi_?a=gti&p=lang&e=_compressedoptions_">_gtitargetlanguagename_</a> -- <a href="_gwcgi_?a=gti&p=core&e=_compressedoptions_">_gtitranslationfiledesc_</a></h2>
<p>
_textgtienterquery_:
<p>
<nobr>
<input type="text" name="q" value="_cgiargq_" size="_gtitextareawidth_"/>
<input type="hidden" name="p" value="find"/><input type="submit" value="_textgtifind_"/>
</nobr>
_gtifindformcontent_
}

# Content of the GTI "core" page (with text areas for entering and updating translations)
_gticore_ {
<h2><a href="_gwcgi_?a=gti&p=lang&e=_compressedoptions_">_gtitargetlanguagename_</a> -- _gtitranslationfiledesc_</h2>
<p>
<center>
  _gtitranslationfilestatus_(_gtinumchunkstranslated_, _gtinumchunksrequiringtranslation_, _gtinumchunksrequiringupdating_, _gtitargetfilepath_)
</center>
<p>
_gticoreformcontent_
<p>
<center>
  <input type="hidden" name="p" value="submit"/><input type="submit" value="_textgtisubmit_"/>
</center>
}

# Content of the GTI "done" page, thanking the translator for completing the file
_gtidone_ {
<h2><a href="_gwcgi_?a=gti&p=lang&e=_compressedoptions_">_gtitargetlanguagename_</a> -- _gtitranslationfiledesc_</h2>
<p>
<center>
  _gtitranslationfilestatus_(_gtinumchunkstranslated_, _gtinumchunksrequiringtranslation_, _gtinumchunksrequiringupdating_, _gtitargetfilepath_)
</center>
<p>
<hr>
<p>
_textgtitranslationfilecomplete_
}

_gtifindformheader_ {
<hr><p>_textgtinumchunksmatchingquery_: _gtinumchunksmatchingquery_
}

_gtifindformfooter_ {
<p>
<center>
  <input type="submit" name="sp" value="_textgtisubmit_"/>
</center>
}

_gtitextareawidth_ {85}
_gtitextareaheight_ {6}

# --------------------------------------------------------------------------------
#   Displays the status of a translation file
#
#   Used on the GTI "lang" and "core" pages
#
#   Parameters: 1 -- Number of chunks translated
#               2 -- Number of chunks requiring translation
#               3 -- Number of chunks requiring updating
#		4 -- Relative URL of target file
# --------------------------------------------------------------------------------
_gtitranslationfilestatus_ {
<table border="0">
  <tr><td align="right">_1_</td><td>_textgtinumchunkstranslated_ (_textgtinumchunksrequiringupdating_(_3_))</td></tr>
  <tr><td align="right">_2_</td><td>_textgtinumchunksrequiringtranslation_</td></tr>
  _If_(_4_,<tr><td align="right">&nbsp;</td><td>
     <a href="_gwcgi_?a=gti&p=find&e=_compressedoptions_">_textgticorrectexistingtranslations_</a><br>
     <a href="_httpprefix_/_4_">_textgtidownloadtargetfile_</a><br>
     _gtiviewtranslationfileinaction_
  </td></tr>)
</table>
}

# --------------------------------------------------------------------------------
#   Displays text area for correcting a chunk
#
#   Used on the GTI "find" page
#
#   Parameters: 1 -- Chunk key
#               2 -- Target file chunk text
# --------------------------------------------------------------------------------
_gtichunkmatchingquery_ {
<p>
<center>
  <table dir="_gtitextdirection_">
    <tr><td><strong>_1_</strong></td></tr>
    <tr><td><textarea name="_cgiargtlc_::_1_" rows="_gtitextareaheight_" cols="_gtitextareawidth_">_2_</textarea></td></tr>
  </table>
</center>
}

# --------------------------------------------------------------------------------
#   Displays text areas for translating a chunk
#
#   Used on the GTI "core" page
#
#   Parameters: 1 -- Chunk key
#               2 -- Source file chunk text
#               3 -- Source file chunk date
# --------------------------------------------------------------------------------
_gtichunkrequiringtranslation_ {
<hr>
_textgtitranslatingchunk_(_1_)
<p>
<center>
  <table dir="_gtitextdirection_">
    <tr><td><strong>English</strong></td><td align="right"><font size="-1"><i>_textgtilastupdated_ _3_</i></font></td></tr>
    <tr><td colspan="2"><textarea name="en::_1_" rows="_gtitextareaheight_" cols="_gtitextareawidth_" readonly="1">_2_</textarea></td></tr>
  </table>
  <table dir="_gtitextdirection_">
    <tr><td><strong>_gtitargetlanguagename_</strong></td><td align="right">&nbsp;</td></tr>
    <tr><td colspan="2"><textarea name="_cgiargtlc_::_1_" rows="_gtitextareaheight_" cols="_gtitextareawidth_"></textarea></td></tr>
  </table>
</center>
}

# --------------------------------------------------------------------------------
#   Displays text areas for updating a chunk
#
#   Used on the GTI "core" page
#
#   Parameters: 1 -- Chunk key
#               2 -- Source file chunk text
#               3 -- Source file chunk date
#               4 -- Target file chunk text
#               5 -- Target file chunk date
# --------------------------------------------------------------------------------
_gtichunkrequiringupdating_ {
<hr>
_textgtiupdatingchunk_(_1_)
<p>
<center>
  <table dir="_gtitextdirection_">
    <tr><td><strong>English</strong></td><td align="right"><font size="-1"><i>_textgtilastupdated_ _3_</i></font></td></tr>
    <tr><td colspan="2"><textarea name="en::_1_" rows="_gtitextareaheight_" cols="_gtitextareawidth_" readonly="1">_2_</textarea></td></tr>
  </table>
  <p>
  <table dir="_gtitextdirection_">
    <tr><td><strong>_gtitargetlanguagename_</strong></td><td align="right"><font size="-1"><i>_textgtilastupdated_ _5_</i></font></td></tr>
    <tr><td colspan="2"><textarea name="_cgiargtlc_::_1_" rows="_gtitextareaheight_" cols="_gtitextareawidth_">_4_</textarea></td></tr>
  </table>
</center>
}

# Links to see the translation files in action
_gtiviewcoredminaction_ {<a href="_gwcgi_?a=p&p=about&c=demo&l=_cgiargtlc_&e=_compressedoptions_">_textgtiviewtargetfileinaction_</a>}
_gtiviewauxdminaction_ {<a href="_gwcgi_?a=p&p=about&c=demo&l=_cgiargtlc_&e=_compressedoptions_">_textgtiviewtargetfileinaction_</a>}

_gtiviewperlmodulesinaction_ {}
_gtiviewglidictinaction_ {}
_gtiviewgreenorginaction_ {}
